%define anolis_release 1
%global pypi_name datasets
%global pypi_version 2.16.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        HuggingFace community-driven open-source library of datasets

License:        Apache 2.0
URL:            https://github.com/huggingface/datasets
Source0:        https://github.com/huggingface/datasets/archive/refs/tags/2.16.1.tar.gz#/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3dist(absl-py)
BuildRequires:  python3dist(aiohttp)
BuildRequires:  python3dist(fsspec) >= 2023.1
BuildRequires:  python3dist(huggingface-hub) >= 0.11
BuildRequires:  python3dist(importlib-metadata)
BuildRequires:  python3dist(multiprocess)
BuildRequires:  python3dist(numpy) >= 1.17
BuildRequires:  python3dist(packaging)
BuildRequires:  python3dist(pandas)
BuildRequires:  python3dist(pillow) >= 6.2.1
BuildRequires:  python3dist(pyyaml) >= 5.3.1
BuildRequires:  python3dist(requests) >= 2.19
BuildRequires:  python3dist(scikit-learn)
BuildRequires:  python3dist(scipy)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(toml) >= 0.10.1
BuildRequires:  python3dist(tqdm) >= 4.62.1
BuildRequires:  python3dist(xxhash)
BuildRequires:  python3dist(zstandard)
BuildRequires:  python3dist(pyarrow) >= 14.0.1

%description
Datasets is a library for easily accessing and sharing datasets
for Audio, Computer Vision, and Natural Language Processing (NLP)
tasks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(numpy) >= 1.17
Requires:       python3dist(pyarrow) >= 14.0.1
Requires:       (python3dist(dill) >= 0.3 with python3dist(dill) < 0.3.7~~)
Requires:       python3dist(pandas)
Requires:       python3dist(requests) >= 2.19
Requires:       python3dist(tqdm) >= 4.62.1
Requires:       python3dist(xxhash)
Requires:       python3dist(multiprocess)
Requires:       python3dist(importlib-metadata)
Requires:        (python3dist(fsspec) >= 2023.1 with python3dist(fsspec) <= 2023.10)
Requires:       python3dist(aiohttp)
Requires:       (python3dist(huggingface-hub) >= 0.11 with python3dist(huggingface-hub) < 1~~)
Requires:       python3dist(packaging)
Requires:       python3dist(pyyaml) >= 5.1

%description -n python3-%{pypi_name}
Datasets is a library for easily accessing and sharing datasets
for Audio, Computer Vision, and Natural Language Processing (NLP)
tasks.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
sed -i 's/fsspec\[http\]/fsspec/g' setup.py

# disable pyarrow-hotfix since we have fixed this problem by upgrading pyarrow
sed -i 's/"pyarrow-hotfix",//g' setup.py
sed -i 's/import pyarrow-hotfix//g' src/datasets/features/features.py

%build
%py3_build

%install
%py3_install

%check
#%{__python3} setup.py test
# check is disabled since it requires network access

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md src/datasets/utils/readme.py src/datasets/utils/resources/readme_structure.yaml tests/test_readme_util.py
%{_bindir}/datasets-cli
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Feb  8 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 2.16.1-1
- Update to 2.16.1.

* Wed Sep 13 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 2.16.0-1
- Update to 2.16.0.

* Wed Sep 13 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 2.13.0-1
- Initial package.
